Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_06.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_06.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_06.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -44,4 +45,5 @@
                                                             
   <write_bloc id="0,1">                                       
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="8" />
     <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -113,4 +122,5 @@
     <parameter name="size_re_order_buffer"                  value="32"/>
     <parameter name="nb_re_order_buffer_bank"               value="2" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -121,6 +131,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -173,14 +183,10 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
 
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
 
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_07.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_07.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_07.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1,2">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -44,4 +45,5 @@
                                                             
   <write_bloc id="0,1,2">                                       
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="8" />
     <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -112,4 +121,5 @@
     <parameter name="size_re_order_buffer"                  value="32"/>
     <parameter name="nb_re_order_buffer_bank"               value="8" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -120,6 +130,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -179,12 +189,7 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
-
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
-
+
+
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="0"   />
@@ -194,7 +199,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="1"   />
 
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_01.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_01.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_01.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -44,4 +45,5 @@
                                                             
   <write_bloc id="0,1">                                       
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="2" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="8" />
     <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -117,4 +126,5 @@
     <parameter name="size_re_order_buffer"                  value="32"/>
     <parameter name="nb_re_order_buffer_bank"               value="2" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -125,6 +135,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -179,17 +189,11 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.1" dest="0"   />
-  <link name="table_dispatch"                          src="0.1.0" dest="0"   />
-  <link name="table_dispatch"                          src="0.1.1" dest="1"   />
-
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
-
+
+
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
  
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_02.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_02.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_02.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1,2">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -44,4 +45,5 @@
                                                             
   <write_bloc id="0,1,2">                                       
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="2" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="8" />
     <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -130,4 +139,5 @@
     <parameter name="size_re_order_buffer"                  value="32"/>
     <parameter name="nb_re_order_buffer_bank"               value="2" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -138,6 +148,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -197,15 +207,7 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.2" dest="1"   />
-
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
-
+
+
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="0"   />
@@ -215,7 +217,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="1"   />
 
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_03.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_03.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_03.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1,2">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -44,4 +45,5 @@
                                                             
   <write_bloc id="0,1,2">
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="16" />
     <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="4" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -131,4 +140,5 @@
     <parameter name="size_re_order_buffer"                  value="32"/>
     <parameter name="nb_re_order_buffer_bank"               value="8" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -139,6 +149,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -199,15 +209,7 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.2" dest="1"   />
-
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
-
+
+
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="0"   />
@@ -217,7 +219,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="1"   />
 
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_04.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_04.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_04.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1,2,3">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -44,4 +45,5 @@
                                                             
   <write_bloc id="0,1,2,3">
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="16" />
     <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="4" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -131,4 +140,5 @@
     <parameter name="size_re_order_buffer"                  value="64"/>
     <parameter name="nb_re_order_buffer_bank"               value="8"/>
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -139,6 +149,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -204,18 +214,7 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.3" dest="1"   />
-
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="3.0"   dest="0"   />
-
+
+
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="0"   />
@@ -231,8 +230,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="3.2"   dest="1"   />
 
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="3.0"   dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_05.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_05.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w02_05.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -44,4 +45,5 @@
                                                             
   <write_bloc id="0,1">                                       
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="8" />
     <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -98,4 +107,5 @@
     <parameter name="size_re_order_buffer"                  value="32"/>
     <parameter name="nb_re_order_buffer_bank"               value="2" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -106,6 +116,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -160,17 +170,11 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.1" dest="0"   />
-  <link name="table_dispatch"                          src="0.1.0" dest="0"   />
-  <link name="table_dispatch"                          src="0.1.1" dest="1"   />
 
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
 
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
  
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
